Bug 5689 - Long loops making frequent calls to System.out.println() hang the IDE during Execute.
Long loops making frequent calls to System.out.println() hang the IDE during ...
Status: CLOSED FIXED
Product: cnd
Classification: Unclassified
Component: Terminalemulator
3.x
All All
: P4 (vote)
: 6.x
Assigned To: anovak
ivan
: PERFORMANCE
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2000-02-09 02:19 UTC by Jan Chalupa
Modified: 2008-12-23 08:10 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Chalupa 2000-02-09 02:19:16 UTC
If an executing program generates high volume of output to STDOUT, the IDE does not respond to user actions (#3084). Occasionally, it even hangs and a series of ArrayIndexOutOfBoundExceptions is gen
erated.

Internal/External execution switch makes a difference in this case. During internal execution no output is captured in the Output Window until the program is finished (if ever). During external execut
ion, the Output Window is updated, but the update interval gets longer and longer until updating stops completely.

JDK 1.3rc1 seems to be a little less prone to this problem than JDK 1.2.2.

See the attached log file and the source file used to generate the problem.
Comment 1 Jaroslav Tulach 2000-06-28 15:28:59 UTC
Maybe we could reimplement the output window completely to refresh its state
only once a time? At begining once a 200ms, then 400ms, 800ms, 1600ms, etc. By
doing this threads frequently writing to output would be refreshed less often,
but the IDE would not hang itself.
Comment 2 Marek Grummich 2000-07-25 09:09:59 UTC
Priority is changed to P4 (normal).
Comment 3 anovak 2000-08-07 14:23:59 UTC
I have made painting of the redirected output much faster.
Paints are now batched.

Results seems good for print out of 10000 lines - 3 seconds
in internal exec/12 seconds in external exec.
Comment 4 Jesse Glick 2002-02-14 19:41:46 UTC
x
Comment 5 Jesse Glick 2002-02-14 19:42:12 UTC
Should be better with term?
Comment 6 Marian Mirilovic 2002-09-05 11:07:20 UTC
verified in nb3.4
Comment 7 Quality Engineering 2003-07-01 16:47:56 UTC
Resolved for 3.4.x or earlier, no new info since then -> closing.
Comment 8 Quality Engineering 2008-12-23 08:10:12 UTC
moving terminal emulator issues to terminalemulator component.
To see the correct version and target milestone of this issue look at Issue
Activity table.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo